package com.yeejoin.amos.fas.common.enums;

/**
 * @author suhg
 */

public enum StatisticsErrorTypeEum {
    /**
     * 风险异常
     */
    risk("risk", "风险异常"),
    /**
     * 巡检异常
     */
    check("check", "巡检异常"),
    /**
     * 设备故障
     */
    equip("equip", "故障告警"),
    /**
     * 火灾告警
     */
    fire("fire", "火灾告警");

    /**
     * 编号
     */
    private String code;
    /**
     * 名称
     */
    private String name;

    StatisticsErrorTypeEum(String code, String name) {
        this.code = code;
        this.name = name;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
}